Go Back   DisplayLink Forum > DisplayLink Graphics Technology > Linux and Open Source

Reply
 
Thread Tools Search this Thread Display Modes
Old 06-12-2018, 08:47 AM   #1
lordaker
Junior Member
 
Join Date: Nov 2017
Posts: 5
Question Problem with installation of driver of DisplayLink Adapter

Hello everyone,

I use a raspberry pi 3 with ubuntu mate 16.04 LTS installed on it. I download the driver at this url:

Ubuntu Driver Download

And follow the process here:

How to install DisplayLink on Ubuntu

But I launch the .run file I have this error message:
Code:
root@raspi-desktop:~/Téléchargements/DisplayLink-USB-Graphics-Software# sudo ./displaylink-driver-4.2.29.run 
Verifying archive integrity...  100%   All good.
Uncompressing DisplayLink Linux Driver 4.2.29  100%  
DisplayLink Linux Software 4.2.29 install script called: install
Distribution discovered: Ubuntu 16.04.4 LTS
Unsatisfied dependencies. Missing component: Linux headers for running kernel, 4.4.38-v7+.
This is a fatal error, cannot install DisplayLink Linux Software.
root@raspi-desktop:~/Téléchargements/DisplayLink-USB-Graphics-Software#
I try this code resolve the Linux Headers issue but impossible to find the package:
Code:
root@raspi-desktop:~/Téléchargements/DisplayLink-USB-Graphics-Software# apt-get install linux-headers-$(uname -r)
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet linux-headers-4.4.38-v7
E: Couldn't find any package by glob 'linux-headers-4.4.38-v7'
E: Impossible de trouver de paquet correspondant ŕ l'expression rationnelle «*linux-headers-4.4.38-v7*»
root@raspi-desktop:~/Téléchargements/DisplayLink-USB-Graphics-Software#
Do you know how to resolve that ?

Last edited by lordaker; 06-20-2018 at 08:47 AM.
lordaker is offline   Reply With Quote
Old 06-12-2018, 03:29 PM   #2
smacdonald-miov
Junior Member
 
Join Date: May 2018
Posts: 3
Default

Code:
$ sudo apt-get install raspberrypi-kernel-headers
from https://www.raspberrypi.org/forums/v...82116#p1156416

perhaps?
smacdonald-miov is offline   Reply With Quote
Old 06-20-2018, 08:49 AM   #3
lordaker
Junior Member
 
Join Date: Nov 2017
Posts: 5
Question

Thank you @smacdonald-miov. It's work.
But I have a another question. Can I install this driver on an os Raspbian Stretch ?
lordaker is offline   Reply With Quote
Reply

Tags
linux header, raspberry pi, ubuntu mate 16.04 lts

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 09:45 AM.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2018, vBulletin Solutions, Inc.